#Installation

Install package with NPM and add it to your development dependencies:

`npm install gulp-rb-validate-html --save-dev`

#Usage

#### Basic

```js
var rbhtml   = require('gulp-rb-validate-html');

gulp.task('rb-validate', function () {

    gulp.src('./src/**/*.html')
        .pipe(rbhtml());
        
    });
```

#### With multiple Filepath Patterns

```js
var rbhtml   = require('gulp-rb-validate-html');

gulp.task('rb-validate', function () {

    gulp.src(['./src/*.html', './src/app/**/*.html'], 
        { base: './src/' })
        .pipe(rbhtml());
        
    });
```

#### With Parameter

```js
var rbhtml  = require('gulp-rb-validate-html');

gulp.task('rb-validate', function () {

     gulp.src('./src/**/*.html')
        .pipe(rbhtml({
            exitOnError: true,
            indentPattern: '\t',
            checkRemoteUrl: false,
            checkViewport: false
        });
        
    });
```

#Parameters

#### exitOnError: Boolean (Default: false)

Exit with code 1 if an error with obligation level red is found.

#### indentPattern: String (Default: 4 spaces)

Define the indentation pattern.

#### checkIndent: Boolean (Default: true)

Set to false to deactivate indentation check.

#### checkIndentInTags: Boolean (Default: false)

Set to true to activate indentation checks inside HTML tags (between < and >).

#### checkRemoteUrl: Boolean (Default: true)

Set to false to deactivate check of remote resource URLs.

#### checkViewport: Boolean (Default: true)

Set to false if the application does not use responsive web design.